Subject: Re: [PATCH] git-bugreport.txt: adjust reference to strftime(3)

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 May 2020 12:53:34 -0700

Todd Zullinger <[email-masked]> writes:

> The strftime(3) man page is outside of the Git suite.  Refererence it as
> we do other external man pages and avoid creating a broken link when
> generating the HTML documentation.
>
> Signed-off-by: Todd Zullinger <[email-masked]>
> ---
>
> Hi Emily,
>
> While building 2.27.0-rc0, I noticed a broken link crept into the HTML
> docs for git-bugreport.  I believe this change matches most of our
> existing references to external man pages.

Thanks.  This was noticed elsewhere in a different thread but let's
take this as a patch independent from the other documentation topic.

> diff --git a/Documentation/git-bugreport.txt b/Documentation/git-bugreport.txt
> index 7fe9aef34e..9edad66a63 100644
> --- a/Documentation/git-bugreport.txt
> +++ b/Documentation/git-bugreport.txt
> @@ -46,7 +46,7 @@ OPTIONS
>  --suffix <format>::
>  	Specify an alternate suffix for the bugreport name, to create a file
>  	named 'git-bugreport-<formatted suffix>'. This should take the form of a
> -	link:strftime[3] format string; the current local time will be used.
> +	strftime(3) format string; the current local time will be used.
>  
>  GIT
>  ---